## pd-lib-builder based Makefile for Flext externals
#
# instead of calling '.../flext/build.sh pd gcc'
# just do 'make -f .../Makefile.flext'

##
# © 2016, IOhannes m zmölnig
#
# This package is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <https://www.gnu.org/licenses/>
##

ifndef PKGINFO
PKGINFO=package.txt
endif
ifneq ($(PKGINFO),)
include $(PKGINFO)
endif
ifdef BUILDDIR
-include $(BUILDDIR)/config-lnx.def
-include $(BUILDDIR)/gnumake-lnx-gcc.inc
endif

SRCDIR ?= .
PKG_CONFIG ?= pkg-config

lib.name = $(NAME)

$(NAME).class.sources = $(addprefix $(SRCDIR)/, $(SRCS))

cflags += $(INCPATH) $(DEFS) $(shell $(PKG_CONFIG) --cflags pd-flext) $(UFLAGS)
ldflags += $(LIBPATH)
ldlibs += $(shell $(PKG_CONFIG) --libs pd-flext) $(LIBS)

ifeq (,$(findstring debug,$(MAKECMDGOALS)))
cflags += $(OFLAGS)
endif

# This Makefile is based on the Makefile from pd-lib-builder written by
# Katja Vetter. You can get it from:
# https://github.com/pure-data/pd-lib-builder

PDLIBBUILDER_DIR=/usr/share/pd-lib-builder/
include $(firstword $(wildcard $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder Makefile.pdlibbuilder))
